org.apache.kylin.jdbc

## Class KylinMetaImpl.MetaProject

- java.lang.Object
- - org.apache.kylin.jdbc.KylinMetaImpl.AbstractNode
  - - org.apache.kylin.jdbc.KylinMetaImpl.MetaProject

Enclosing class:
  KylinMetaImpl

    public static class KylinMetaImpl.MetaProject
    extends KylinMetaImpl.AbstractNode

### Field Summary

Fields
`List<KylinMetaImpl.MetaCatalog>` `catalogs`
`String` `project`

### Constructor Summary

Constructors
Constructor and Description
`KylinMetaImpl.MetaProject(String project, List<KylinMetaImpl.MetaCatalog> catalogs)`

### Method Summary

Methods
`List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node>` `getChildren()`
`DataSet<KylinMetaImpl.MetaCatalog>` `getMetaCatalogs()`
`DataSet<KylinMetaImpl.MetaColumn>` `getMetaColumns(String catalog, net.hydromatic.avatica.Meta.Pat schemaPattern, net.hydromatic.avatica.Meta.Pat tableNamePattern, net.hydromatic.avatica.Meta.Pat columnNamePattern)` facade method to search columns in current project
`DataSet<KylinMetaImpl.MetaSchema>` `getMetaSchemas(String catalog, net.hydromatic.avatica.Meta.Pat schemaPattern)` facade method to search schemas in current project.
`DataSet<KylinMetaImpl.MetaTable>` `getMetaTables(String catalog, net.hydromatic.avatica.Meta.Pat schemaPattern, net.hydromatic.avatica.Meta.Pat tableNamePattern)` facade method to search tables in current project
`String` `getName()`

### Methods inherited from class org.apache.kylin.jdbc.KylinMetaImpl.AbstractNode

`searchByPatterns`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### project

    public final String project

#### catalogs

    public final List<KylinMetaImpl.MetaCatalog> catalogs

### Constructor Detail

#### KylinMetaImpl.MetaProject

    public KylinMetaImpl.MetaProject(String project,
                             List<KylinMetaImpl.MetaCatalog> catalogs)

### Method Detail

#### getMetaCatalogs

    public DataSet<KylinMetaImpl.MetaCatalog> getMetaCatalogs()

#### getMetaSchemas

    public DataSet<KylinMetaImpl.MetaSchema> getMetaSchemas(String catalog,
                                                   net.hydromatic.avatica.Meta.Pat schemaPattern)

facade method to search schemas in current project.

Parameters:
  `catalog` -
  `schemaPattern` -
Returns:

#### getMetaTables

    public DataSet<KylinMetaImpl.MetaTable> getMetaTables(String catalog,
                                                 net.hydromatic.avatica.Meta.Pat schemaPattern,
                                                 net.hydromatic.avatica.Meta.Pat tableNamePattern)

facade method to search tables in current project

Parameters:
  `catalog` -
  `schemaPattern` -
  `tableNamePattern` -
Returns:

#### getMetaColumns

    public DataSet<KylinMetaImpl.MetaColumn> getMetaColumns(String catalog,
                                                   net.hydromatic.avatica.Meta.Pat schemaPattern,
                                                   net.hydromatic.avatica.Meta.Pat tableNamePattern,
                                                   net.hydromatic.avatica.Meta.Pat columnNamePattern)

facade method to search columns in current project

Parameters:
  `catalog` -
  `schemaPattern` -
  `tableNamePattern` -
  `columnNamePattern` -
Returns:

#### getName

    public String getName()

#### getChildren

    public List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node> getChildren()